Package Details: mutate 2.4-5

Git Clone URL: https://aur.archlinux.org/mutate.git (read-only)
Package Base: mutate
Description: A simple launcher inspired by Alfred.
Upstream URL: https://github.com/qdore/Mutate
Licenses: MIT
Submitter: codeThatThinks
Maintainer: None
Last Packager: haawda
Votes: 4
Popularity: 0.000003
First Submitted: 2015-04-26 22:03
Last Updated: 2017-05-28 22:56

Latest Comments

haawda commented on 2017-05-28 22:58

This program segfaults.

artem.jackson commented on 2016-02-20 22:32

Even after 4 month the compile error still persists...
Could you fix it?

leesei commented on 2015-10-22 10:24

The compile error still persists.
Use https://aur.archlinux.org/packages/mutate-git for now.

bjorntj commented on 2015-07-21 08:36

Still getting the same error:

qtsinglecoreapplication/qtlocalpeer.cpp: In member function ‘bool QtLocalPeer::sendMessage(const QString&, int)’:
qtsinglecoreapplication/qtlocalpeer.cpp:160:19: error: variable ‘QDataStream ds’ has initializer but incomplete type
QDataStream ds(&socket);
^
qtsinglecoreapplication/qtlocalpeer.cpp: In member function ‘void QtLocalPeer::receiveConnection()’:
qtsinglecoreapplication/qtlocalpeer.cpp:180:26: error: variable ‘QDataStream ds’ has initializer but incomplete type
QDataStream ds(socket);
^
Makefile:546: recipe for target 'qtlocalpeer.o' failed
make: *** [qtlocalpeer.o] Error 1
==> ERROR: A failure occurred in build().

You are missing the following include in qtlocalpeer.cpp:

#include <QtCore/QDataStream>

bjorntj commented on 2015-07-16 20:38

Try to build manually (after fixing the below issue) and now it stops at:

qtsinglecoreapplication/qtlocalpeer.cpp: In member function ‘bool QtLocalPeer::sendMessage(const QString&, int)’:
qtsinglecoreapplication/qtlocalpeer.cpp:160:19: error: variable ‘QDataStream ds’ has initializer but incomplete type
QDataStream ds(&socket);
^
qtsinglecoreapplication/qtlocalpeer.cpp: In member function ‘void QtLocalPeer::receiveConnection()’:
qtsinglecoreapplication/qtlocalpeer.cpp:180:26: error: variable ‘QDataStream ds’ has initializer but incomplete type
QDataStream ds(socket);
^
Makefile:546: recipe for target 'qtlocalpeer.o' failed
make: *** [qtlocalpeer.o] Error 1

bjorntj commented on 2015-07-16 12:17

Tried to install but I get an error..:

Making package: mutate 2.4-2 (Thu Jul 16 14:12:25 CEST 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading v2.4.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 118 0 118 0 0 205 0 --:--:-- --:--:-- --:--:-- 205
100 2735k 0 2735k 0 0 636k 0 --:--:-- 0:00:04 --:--:-- 965k
==> Validating source files with sha512sums...
v2.4.tar.gz ... Passed
==> Extracting sources...
-> Extracting v2.4.tar.gz with bsdtar
==> Starting build()...
/tmp/yaourt-tmp-bjorntj/aur-mutate/./PKGBUILD: line 21: cd: /tmp/yaourt-tmp-bjorntj/aur-mutate/src/Mutate/src: No such file or directory
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build mutate.

codeThatThinks commented on 2015-07-05 04:57

Previous versions of Mutate required fcitx-qt5 as a dependency, but it has been removed starting with 2.4-2. The install script was configured to add fcitx to your /etc/profile if it wasn't there already.

NOTE: If you are updating to 2.4-2 from an older package release, please manually edit your /etc/profile and remove the lines for fcitx if you do not use fcitx as an input method.